Summary: smeserver specific squidguard configuration and templates.
%define name smeserver-squidguard
Name: %{name}
%define version 1.0
%define release 35
Version: %{version}
Release: %{release}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Patch1: smeserver-squidguard-1.0-7.symlink.patch 
Patch2: smeserver-squidguard-1.0-8.default_access.patch
Patch3: smeserver-squidguard-1.0-9.supdate.patch
Patch4: smeserver-squidguard-1.0-10.remove_miniclip.com.patch 
Patch5: smeserver-squidguard-1.0-12.acl_default.patch
Patch6: smeserver-squidguard-1.0-13.supdate_2.patch
Patch7: smeserver-squidguard-1.0-14.smeserver.7.1.x.patch
Patch8: smeserver-squidguard-1.0-15.blacklist_wording_update.patch
Patch9: smeserver-squidguard-1.0-16.supate.patch
Patch10: smeserver-squidguard-1.0-18.in-addr.patch
Patch11: smeserver-squidguard-1.0-19.acl_update.patch
Patch12: smeserver-squidguard-1.0-20.admin_conf.patch
Patch13: smeserver-squidguard-1.0-21.admin_conf.php.patch
Patch14: smeserver-squidguard-1.0-22.squidguard.directoryindex.patch
Patch15: smeserver-squidguard-1.0-23.dir_rename_google.patch
Patch16: smeserver-squidguard-1.0-24.squidguard_disable.patch
Patch17: smeserver-squidguard-1.0-25.squidguard_disable_supdate_cron.patch
Patch18: smeserver-squidguard-1.0-26.shalla_update.patch
Patch19: smeserver-squidguard-1.0-27.supdate.patch
Patch20: smeserver-squidguard-1.0-28.migrate.patch
Patch21: smeserver-squidguard-1.0-29.db_relocation.patch
Patch22: smeserver-squidguard-1.0-30.smeserver_db_relocation.patch
Patch23: smeserver-squidguard-1.0-31.smeserver_db_relocation2.patch
Patch24: smeserver-squidguard-1.0-32.supdate.patch 
Patch25: smeserver-squidguard-1.0-33.supdate2.patch
Patch26: smeserver-squidguard-1.0-34.supdate3.patch
Patch27: smeserver-squidguard-1.0-35.server_manager.patch
Packager: John H. Bennett III <bennettj@johnbennettservices.com>
BuildRoot: /var/tmp/%{name}-buildroot
BuildArchitectures: noarch
Requires: squidguard >= 1.2
BuildRequires: e-smith-devtools >= 1.13.1-03
AutoReqProv: no

%changelog
* Thu Aug 26 2010 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-35
- Patch to change position on server-manager to JohnBennettServices

* Sun Aug 23 2009 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-34
- Patch to supdate script to move the current db's to the new location.  A reboot
  and update will be needed in order to restart squidguard immediately, or the
  nightly update will restart squidguard correctly.

* Sun Aug 23 2009 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-33
- Third times the charm

* Sun Aug 23 2009 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-32
- Finally believe supdate script will run without errors on nightly download, rebuild,
  and restart of squid and squidguard

* Sun Aug 23 2009 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-31
- 2nd attempt for patch to move smeserver specific files to different directory so smeserver
  panel will continue to work.  

* Sun Aug 23 2009 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-30
- Patch to move smeserver specific files to different directory so smeserver
  panel will continue to work.  Update to spec file to change perms to squidguard
  log so it can be read via server-manager.

* Wed Aug 19 2009 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-29
- Patch to move squidguard db location to /var/lib/squidguard/db to make things 
  cleaner looking.  Also remove porn DB as that is overridden by shalla blacklist 
  or any other blacklist files being used.

* Sun Aug 16 2009 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-28
- Patch to create migrate script to remove default entries no longer used and
  to change the default of gambling to gamble.

* Wed Aug 12 2009 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-27
- Patch to make sure squidguard.conf is expanded before squid is restarted

* Wed Aug 12 2009 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-26
- Patch to fix squidguard due to category changes when using the shalla download site.

* Sat Jul 25 2009 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-25
- Patch to disable squidguard supdate.cron job if squidguard status is disabled.

* Fri Jul 24 2009 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-24
- Patch to be able to disable squidguard. (config setprop squidguard status disabled)

* Tue Feb 3 2009 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-23
- Patch to rename template files and to add google rewrite rules for safe search
  to use - config setprop squidguard googlesafe enabled

* Sun Aug 26 2007 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-22
- Patch to update admin-conf directory index to allow index.php files so that
  the squidguard server-manager interface will work.

* Sun Aug 26 2007 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-21
- Patch to add php4 or php5 directives for admin-conf httpd instance.  This
  corrects the issue with server manager not being able to run when 
  smeserver-squidguard is installed.  Someone did report this, but I couldn't 
  get it to fail on my server, but finally did on a test server.

* Sun Aug 26 2007 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-20
- Update to correct duplicate output in admin_conf template.

* Sat Aug 25 2007 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-19
- Update to no_access and no_access_user ACL's to allow trusted traffic to pass
  even when users or IP address's are denied.  This way my kids can still access
  their school and other sites while being banned from regular Internet access.

* Sat Aug 18 2007 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-18
- Update to squidguard templates to not include ACL entries for in-addr if
  it is added as a value to Squidguard_Block.  
  http://forums.contribs.org/index.php?topic=37927.msg170727. Thanks cmwi96

* Sat Aug 18  2007 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-17
- Modified supdate so that squid will restart in a clean state.

* Sun Jul 1 2007 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-16
- Modified spec file to rename individual /home/e-smith/files/squidguard/*
  directories before rpm is installed, then rename tham back after rpm is
  installed.  This will make it so no customizations are lost when installing
  a new version.

* Sun Jul 1 2007 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-15
- Modified wording for blacklist tab

* Mon Mar 19 2007 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-14
- Patch to make squidguard work with new cookie-based authentication in
  SME Server 7.1.x and above.

* Sat Mar 10 2007 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-13
- Updated logic on supdate script so that if the blacklist download file is not
  available after 4 tries, then there is nothing to do.

* Fri Feb 16 2007 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-12
- Modified 60-acl-default template so that it wouldn't display the values in the
  Squidguard_FullAccess db property value, but default to all at the end of the ACL.
  This allows the db property to contain a default list of sites to allow or not 
  allow for fullaccess or fullaccess-users.
  i.e config setprop squidguard Squidguard_FullAccess  \!adult,\!porn,all
  This makes it so fullaccess users still can't get to some sites.

* Fri Feb 16 2007 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-11
- Added some code to the %pre section so that users of the -5 public release
  will be able to upgrade to this release without errors.

* Thu Feb 15 2007 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-10
- Patch to remove miniclip.com from the porn domains list as it is a game site
  and my kids like to go to this site.

* Thu Feb 15 2007 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-9
- Patch to the supdate script to include the command (squidGuard -C all) which
  will convert the text based blacklist files to db based which speeds up the 
  initialization, checking and blocking of squidguard.

* Thu Feb 15 2007 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-8
- Patch to add all as the last option to the default access template.

* Thu Feb 15 2007 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-7
- Patch to add symlinks to the noaccess and fullaccess files and trusted and
  untrusted directories so that on a restore your settings will be retained and 
  won't have to be re-entered.

* Wed Feb 14 2007 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-6
- Re-rolled as I needed to add some empty files and directories and I couldn't
  find another way to do it.

* Mon Feb 5 2007 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-5
- Patch to change defaut output of user access to not output anything if no
  values have been set.

* Mon Feb 5 2007 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-4
- Added the ability to grant a user full access to the internet by ident userid
  config setprop squidguard Squidguard_FullAccess_User xxx,yyy.  

* Mon Feb 5 2007 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-3
- Patch to change the default noaccess none.

* Wed Jan 17 2007 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-2
- Added the ability to deny a user access to the internet by ident userid
  config setprop squidguard Squidguard_NoAccess_User xxx,yyy.  
  Yeah I know what's with the long names.

* Wed Jan 17 2007 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-1
- Changed blocked message for users that have been set to noaccess.

* Tue Jan 16 2007 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-0
- re-rolled to 1.0 release

* Mon Jan 15 2007 John H. Bennett III <bennettj@johnbennettservices.com> 0.1-12
- SquidGuard_Block values should be comma delimited.  
- Templated allow and blocked site ACL entries to pick up db values and sort
  in squidguard.conf

* Sun Jan 14 2007 John H. Bennett III <bennettj@johnbennettservices.com> 0.1-11
- fixed typo in index.php template

* Sun Jan 14 2007 John H. Bennett III <bennettj@johnbennettservices.com> 0.1-10
- templated /var/lib/squidguard/www/index.php so that the blacklist db value
  is only displayed on the web output.  To change the blacklist locaion
  config setprop squidguard Blacklist xxx

* Sun Jan 14 2007 John H. Bennett III <bennettj@johnbennettservices.com> 0.1-9
- added squidguard db entry with several subentries.

* Sun Jan 14 2007 John H. Bennett III <bennettj@johnbennettservices.com> 0.1-8
- Fixed permission issues and now Squidguard seems to work properly.
- Added ident support - config setprop squid Ident enabled.  This will enable
  you to use an Ident program and view SARG reports by userid.

* Sat Jan 13 2007 John H. Bennett III <bennettj@johnbennettservices.com> 0.1-7
- re-rolled and version bump.  Squidguard still won't initialize

* Sat Jan 13 2007 John H. Bennett III <bennettj@johnbennettservices.com> 0.1-6
- re-rolled and version bump.  Squidguard won't initialize

* Thu Jan 11 2007 John H. Bennett III <bennettj@johnbennettservices.com> 0.1-5
- version bump, ready to begin internal testing

* Thu Jan 11 2007 John H. Bennett III <bennettj@johnbennettservices.com> 0.1-4
- version bump so I don't have to use --force to re-install.

* Tue Jan 9 2007 John H. Bennett III <bennettj@johnbennettservices.com> 0.1-3
- changes to spec file to set some file permissions so server-manager panel will run.

* Sat Jan 6 2007 John H. Bennett III <bennettj@johnbennettservices.com> 0.1-2
- second release, needs more work and refinement.

* Sat Jan 6 2007 John H. Bennett III <bennettj@johnbennettservices.com> 0.1-1
- initial release, needs a lot more work and refinement.

%description
This package adds necessary smserver template fragments to enable squidguard configuration items.


%prep
%setup

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist \
    --file '/var/lib/squidguard/scripts/blacklist_loc' 'attr(0600,www,www)' \
    --dir '/var/lib/squidguard/www' 'attr(0750,root,shared)' \
    --file '/var/lib/squidguard/www/blacklist.php' 'attr(0750,root,shared)' \
    --file '/var/lib/squidguard/www/help.html' 'attr(0750,root,shared)' \
    --file '/var/lib/squidguard/www/index.php' 'attr(0750,root,shared)' \
    --file '/var/lib/squidguard/www/squidguard.php' 'attr(0750,root,shared)' \
    --file '/var/lib/squidguard/www/squid-ip.php' 'attr(0750,root,shared)' \
    --file '/var/lib/squidguard/www/viewlog.php' 'attr(0750,root,shared)' \
    --dir '/var/log/squidguard' 'attr(0770,squid,www)' \
    --file '/var/log/squidguard/squidGuard.log' 'attr(0660,squid,www)' \
    --file '/home/e-smith/files/ibays/Primary/cgi-bin/blocked.cgi' 'attr(0755,root,root)' \
    --file '/home/e-smith/files/ibays/Primary/cgi-bin/noaccess.cgi' 'attr(0755,root,root)' \
    --file '/home/e-smith/files/ibays/Primary/cgi-bin/noaccess_user.cgi' 'attr(0755,root,root)' \
    --file '/home/e-smith/files/squidguard/fullaccess' 'attr(0760,squid,www)' \
    --file '/home/e-smith/files/squidguard/noaccess' 'attr(0760,squid,www)' \
    --dir '/home/e-smith/files/squidguard/trusted' 'attr(0750,squid,www)' \
    --file '/home/e-smith/files/squidguard/trusted/domains' 'attr(0760,squid,www)' \
    --file '/home/e-smith/files/squidguard/trusted/expressions' 'attr(0760,squid,www)' \
    --file '/home/e-smith/files/squidguard/trusted/urls' 'attr(0760,squid,www)' \
    --dir '/home/e-smith/files/squidguard/untrusted' 'attr(0750,squid,www)' \
    --file '/home/e-smith/files/squidguard/untrusted/domains' 'attr(0760,squid,www)' \
    --file '/home/e-smith/files/squidguard/untrusted/expressions' 'attr(0760,squid,www)' \
    --file '/home/e-smith/files/squidguard/untrusted/urls' 'attr(0760,squid,www)' \
    $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre
if [ -f /home/e-smith/files/squidguard/fullaccess ]; then
        cd /home/e-smith/files/squidguard/
	mv /home/e-smith/files/squidguard/fullaccess /home/e-smith/files/squidguard/fullaccess1
	mv /home/e-smith/files/squidguard/noaccess /home/e-smith/files/squidguard/noaccess1
	mv /home/e-smith/files/squidguard/trusted /home/e-smith/files/squidguard/trusted1
	mv /home/e-smith/files/squidguard/untrusted /home/e-smith/files/squidguard/untrusted1
fi


%preun
%post

if [ -f /home/e-smith/files/squidguard/fullaccess1 ]; then
rm -rf /home/e-smith/files/squidguard/fullaccess
rm -rf /home/e-smith/files/squidguard/noaccess
rm -rf /home/e-smith/files/squidguard/trusted
rm -rf /home/e-smith/files/squidguard/untrusted
        cd /home/e-smith/files/squidguard/
	mv /home/e-smith/files/squidguard/fullaccess1 /home/e-smith/files/squidguard/fullaccess
	mv /home/e-smith/files/squidguard/noaccess1 /home/e-smith/files/squidguard/noaccess
	mv /home/e-smith/files/squidguard/trusted1 /home/e-smith/files/squidguard/trusted
	mv /home/e-smith/files/squidguard/untrusted1 /home/e-smith/files/squidguard/untrusted
fi

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

